<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structmtb__st7789v__pins__t" kind="struct" language="C++" prot="public">
    <compoundname>mtb_st7789v_pins_t</compoundname>
    <includes local="no">mtb_st7789v.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structmtb__st7789v__pins__t_1ae6d62e9d0715cc8998780a110dce17e0" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::db08</definition>
        <argsstring />
        <name>db08</name>
        <briefdescription>
<para>Pin for the Display Data8 signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="45" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="45" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1aa983d7ee9c6f550f3e49e7354ad3809f" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::db09</definition>
        <argsstring />
        <name>db09</name>
        <briefdescription>
<para>Pin for the Display Data9 signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="46" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="46" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1aa3b1c658c5079ce550c75fe3f294286e" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::db10</definition>
        <argsstring />
        <name>db10</name>
        <briefdescription>
<para>Pin for the Display Data10 signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="47" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="47" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1a183abf8dc6113493355c476af052f6f5" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::db11</definition>
        <argsstring />
        <name>db11</name>
        <briefdescription>
<para>Pin for the Display Data11 signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="48" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="48" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1ac897e0bcea5fd7b63a782ad3a2c4c8e7" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::db12</definition>
        <argsstring />
        <name>db12</name>
        <briefdescription>
<para>Pin for the Display Data12 signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="49" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="49" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1ac74e2fdf7c86e6978d4095ebfad3c583" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::db13</definition>
        <argsstring />
        <name>db13</name>
        <briefdescription>
<para>Pin for the Display Data13 signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="50" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="50" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1acfdef67b77c1df9998efb36e250fe9bb" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::db14</definition>
        <argsstring />
        <name>db14</name>
        <briefdescription>
<para>Pin for the Display Data14 signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="51" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="51" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1ac469ed03737a6d8bfa5957e510b45724" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::db15</definition>
        <argsstring />
        <name>db15</name>
        <briefdescription>
<para>Pin for the Display Data15 signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="52" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="52" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1a58da8e80fa27beeb3e4c0003845140cc" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::nrd</definition>
        <argsstring />
        <name>nrd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="53" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="53" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1a3f40cf9318c981c111724f70f26065e6" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::nwr</definition>
        <argsstring />
        <name>nwr</name>
        <briefdescription>
<para>Pin for the Display Read signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="54" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="54" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1a496d78cec73da91749fc5fb58afaf375" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::dc</definition>
        <argsstring />
        <name>dc</name>
        <briefdescription>
<para>Pin for the Display Write signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="55" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="55" />
      </memberdef>
      <memberdef id="structmtb__st7789v__pins__t_1a084420577c6db193a2e27ff30642c1d6" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_gpio_t</type>
        <definition>cyhal_gpio_t mtb_st7789v_pins_t::rst</definition>
        <argsstring />
        <name>rst</name>
        <briefdescription>
<para>Pin for the Display D/C signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="56" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="56" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure defining the pins used to communicate with the TFT display. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="57" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" bodystart="43" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.h" line="44" />
    <listofallmembers>
      <member prot="public" refid="structmtb__st7789v__pins__t_1ae6d62e9d0715cc8998780a110dce17e0" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>db08</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1aa983d7ee9c6f550f3e49e7354ad3809f" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>db09</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1aa3b1c658c5079ce550c75fe3f294286e" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>db10</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1a183abf8dc6113493355c476af052f6f5" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>db11</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1ac897e0bcea5fd7b63a782ad3a2c4c8e7" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>db12</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1ac74e2fdf7c86e6978d4095ebfad3c583" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>db13</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1acfdef67b77c1df9998efb36e250fe9bb" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>db14</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1ac469ed03737a6d8bfa5957e510b45724" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>db15</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1a496d78cec73da91749fc5fb58afaf375" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>dc</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1a58da8e80fa27beeb3e4c0003845140cc" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>nrd</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1a3f40cf9318c981c111724f70f26065e6" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>nwr</name></member>
      <member prot="public" refid="structmtb__st7789v__pins__t_1a084420577c6db193a2e27ff30642c1d6" virt="non-virtual"><scope>mtb_st7789v_pins_t</scope><name>rst</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>